package Jama.util;
public class Maths {
	static final String VAR = "t";
	
	/** sqrt(a^2 + b^2) without under/overflow. * */

	public static double hypot(double a, double b) {
		double r;

		if (Math.abs(a) > Math.abs(b)) {
			r = b / a;
			r = Math.abs(a) * Math.sqrt(1 + r * r);
		} else if (b != 0) {
			r = a / b;
			r = Math.abs(b) * Math.sqrt(1 + r * r);
		} else {
			r = 0.0;
		}
		return r;
	}
	/** Liefert das Ergebnis der Betafunktion * */

	public static double beta(double a, double b) {
		if (a <0||b<0) {
			return -1;
		}
		double r = gamma(a)*gamma(b)/gamma(a+b);
	return r;
	}
	/** Liefert das Ergebnis der Gammafunktion 
	 * wenn a ganzzahlig und positiv oder wenn das zweifache von
	 * a ganzzahlig und positiv ist* */

	public static double gamma(double a) {
		if (a <=0) {
			return -1;
		}

		double x;
		double y;
		double tmp;
		double ser;
		double[] cof=(new double[]{76.18009172947146,-86.50532032941677,
				24.01409824083091,-1.231739572450155,
				0.1208650973866179e-2,-0.5395239384953e-5});
		int j;
		y=x=a;
		tmp=x+5.5;
		tmp -= (x+0.5)*Math.log(tmp);
		ser=1.000000000190015;
		for (j=0;j<=5;j++) ser += cof[j]/++y;
		return Math.exp(-tmp+Math.log(2.5066282746310005*ser/x));
	}
}
	