/* 
 * <p>Copyright: Institut f?r Institut f?r Technische Mathematik, Geometrie und Bauinformatik, 2004</p>
 * @author Markus Unterweger (markus.unterweger@aon.at)
 * 
 */
package uibk.mtk.lang;

import java.awt.Color;
import java.awt.Graphics2D;
import java.util.Locale;

/**
 * @author Markus
 * 
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public abstract class Options {

	static Locale locale;

	public abstract Color getBackgroundColor();

	public abstract Color getComponentsColor();

	public abstract void setLookAndFeel();

	public abstract void setRenderingHints(Graphics2D g2);

	static {

		locale = Locale.getDefault();	
		
		
	}

	public static Locale getLocale() {
		return locale;
	}

}