/* 
 * <p>Copyright: Institut f?r Institut f?r Technische Mathematik, Geometrie und Bauinformatik, 2004</p>
 * @author Markus Unterweger (markus.unterweger@aon.at)
 * 
 */
package uibk.mtk.lang;

/**
 * @author Markus
 * 
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public interface Reporter {

	/** Gibt eine normale Meldung (in schwarz) in das Label aus */
	public void report(String message);

	/**
	 * Gibt die Message dieser Fehlermeldung
	 *  
	 */
	public void reportError(Exception ex);

	/**
	 * Gibt eine Fehlermeldung
	 * 
	 * @param title
	 *            Titel der Fehlermeldung
	 * @param ex
	 *            Exception deren message ausgegeben wird
	 */
	public void reportError(String title, Exception ex);

	/** Gibt eine Fehlermeldung aus */
	public void reportError(String message);

	/** Gibt eine Erfolgsmeldung aus */
	public void reportSuccess(String message);

}