package uibk.mtk.math.functions;

/**
 * <CODE>Exception</CODE> Exception die geworfen wird, falls eine Funktion
 * nicht differenzierbar ist
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class DerivationException extends Exception {

	/** Erzeugt die Exception mit <CODE>null</CODE> als Nachricht* */
	public DerivationException() {
		super();

	}

	/** Erzeugt die Exception mit <CODE>message</CODE> als Nachricht* */
	public DerivationException(String message) {
		super(message);

	}

}