package uibk.mtk.swing.base;

import javax.swing.BoundedRangeModel;
import javax.swing.JSlider;

/**
 * Von JSlider abgeleitete Klasse, die alle Konstruktoren implementiert.
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class Slider extends JSlider {

	/** siehe {@link javax.swing.JSlider#JSlider()} */
	public Slider() {
		super();

	}

	/** siehe {@link javax.swing.JSlider#JSlider(int)} */
	public Slider(int orientation) {
		super(orientation);

	}

	/** siehe {@link javax.swing.JSlider#JSlider(int,int,int)} */
	public Slider(int min, int max) {
		super(min, max);

	}

	/** siehe {@link javax.swing.JSlider#JSlider(int,int,int)} */
	public Slider(int min, int max, int value) {
		super(min, max, value);

	}

	/** siehe {@link javax.swing.JSlider#JSlider(int,int,int,int)} */
	public Slider(int orientation, int min, int max, int value) {
		super(orientation, min, max, value);

	}

	/** siehe {@link javax.swing.JSlider#JSlider(BoundedRangeModel)} */
	public Slider(BoundedRangeModel brm) {
		super(brm);

	}

}