package uibk.mtk.lang;

/**
 * <CODE>Exception</CODE> die geworfen wird, falls bei der Vararbeitung von
 * Benutzereingaben ein Fehler auftritt.
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class InputException extends Exception {

	/** Erzeugt die Exception mit <CODE>null</CODE> als Nachricht* */
	public InputException() {
		super();

	}

	/** Erzeugt die Exception mit <CODE>message</CODE> als Nachricht* */
	public InputException(String message) {
		super(message);

	}

}