package uibk.mtk.lang;

/**
 * Interface f?r <CODE>Drawable</CODE> -Objekte, die Berechnungen zum Zeichnen
 * auslagern wollen (sinnvoll falls viel berechnet werden muss). Diese Funktion
 * wird vom <CODE>MathPanel</CODE> -Objekt in dem sich das Drawable befindet,
 * vor dem Zeichnen aufgerufen und zwar nur dann wenn sich etwas ge?ndert hat
 * (z.B. Fenstetgr??e, ...).
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public interface PrepaintComputable {

	/** Durchf?hren der Berechnungen */
	void prepaintcompute() throws Exception;

}