package uibk.mtk.math.parsing;

import uibk.mtk.parser.realparser.Expr;
import uibk.mtk.parser.realparser.Variable;

/**
 * Klasse zum Speichern der Resultate der Klasse <CODE>RealExpressionParser
 * </CODE>
 * 
 * 
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class ParsingResult {

	Expr[] expressions;

	Variable[] variables;

	public ParsingResult(Variable[] var, Expr[] expr) {
		this.variables = var;
		this.expressions = expr;
	}

}