package uibk.mtk.swing.base;

import java.awt.Dimension;

import javax.swing.Icon;
import javax.swing.JLabel;

/**
 * Von JLabel abgeleitete Klasse die, alle Konstruktoren implementiert.
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2004
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class Label extends JLabel {

	/** siehe {@link javax.swing.JLabel#JLabel()} */
	public Label() {
		super();

	}

	/** siehe {@link javax.swing.JLabel#JLabel(String)} */
	public Label(String text) {
		super(text);

	}

	/** siehe {@link javax.swing.JLabel#JLabel(String,int)} */
	public Label(String text, int horizontalAlignment) {
		super(text, horizontalAlignment);

	}

	/** siehe {@link javax.swing.JLabel#JLabel(Icon)} */
	public Label(Icon image) {
		super(image);

	}

	/** siehe {@link javax.swing.JLabel#JLabel(Icon,int)} */
	public Label(Icon image, int horizontalAlignment) {
		super(image, horizontalAlignment);

	}

	/** siehe {@link javax.swing.JLabel#JLabel(String,Icon,int)} */
	public Label(String text, Icon icon, int horizontalAlignment) {
		super(text, icon, horizontalAlignment);

	}

	public Dimension getMinimumSize() {
		return getPreferredSize();
	}

}