package uibk.mtk.swing.base;

import javax.swing.JTabbedPane;

/**
 * Von JTabbedPane abgeleitete Klasse, die alle Konstruktoren implementiert.
 * 
 * <p>
 * Copyright: Institut f?r Technische Mathematik, Geometrie und Bauinformatik,
 * 2003
 * </p>
 * 
 * @author Markus Unterweger (markus.unterweger@aon.at)
 */
public class TabbedPane extends JTabbedPane {

	/** siehe {@link javax.swing.JTabbedPane#JTabbedPane()} */
	public TabbedPane() {
		super();

	}

	/** siehe {@link javax.swing.JTabbedPane#JTabbedPane(int)} */
	public TabbedPane(int tabPlacement) {
		super(tabPlacement);

	}

	/** siehe {@link javax.swing.JTabbedPane#JTabbedPane(int,int)} */
	public TabbedPane(int tabPlacement, int tabLayoutPolicy) {
		super(tabPlacement, tabLayoutPolicy);

	}

}